package net.cobem.grizzly.communication.composers.rooms;

import net.cobem.grizzly.communication.EventResponse;
import net.cobem.grizzly.communication.HeaderLibrary;
import net.cobem.grizzly.habbohotel.rooms.Room;

public class SendFloorItemToRoomComposer {
    public static EventResponse compose(int ID, int Sprite, int X, int Y, int Rotation, String Height, Room mRoom) {
        EventResponse Message = new EventResponse();

        Message.Initialize(HeaderLibrary.SendFloorItemToRoomEvent);
        Message.addInt(ID);
        Message.addInt(Sprite);
        Message.addInt(X);
        Message.addInt(Y);
        Message.addInt(Rotation);
        Message.addString(Height);
        Message.addInt(0);
        Message.addInt(0);
        Message.addString("0");
        Message.addInt(-1);
        Message.addInt(1);
        Message.addInt(mRoom.Owner);
        Message.addString(mRoom.OwnerByName);

        return Message;
    }
}
